#!/usr/bin/env python
'''
    This is a sample script that simply validates an updateinfo.xml file.
'''
from updateinfo import Updateinfo

import sys

DOCDIR = '/usr/share/doc/python-Updateinfo/samples/'

if len(sys.argv) != 2:
    print >> sys.stderr, "Usage:"
    print >> sys.stderr, " " + sys.argv[0] + ' <updateinfo.xml>'
    print >> sys.stderr, " "

    print >> sys.stderr, " You must name an updateinfo"
    print >> sys.stderr, "   I suggest picking one of the samples in"
    print >> sys.stderr, "   " + DOCDIR
    print >> sys.stderr, " "
    print >> sys.stderr, " ie. " + sys.argv[0] + ' ' + DOCDIR + 'simple.xml'
    sys.exit(1)

MYUPDATEINFO = Updateinfo()

# open an existing updateinfo and validate it
VALID = MYUPDATEINFO.validate_xml_file(sys.argv[1])

if VALID:
    print 'Ok'
elif VALID == NotImplemented:
    print 'Could not try validation, are you missing lxml?'
else:
    print 'Could not validate'
